Modify

Opened 2 years ago

Last modified 2 weeks ago

#14083 new defect

Horizontal scrolling with mouse doesn't work

Reported by: Klumbumbus Owned by: team
Priority: normal Milestone:
Component: Core Version:
Keywords: template_report javabug mouse scroll wheel horizontal Cc:

Description (last modified by Klumbumbus)

A lot mice have the ability to tilt the mouse wheel (or have even a second scroll wheel) for horizontal scrolling.

This doesn't work in JOSM, for dialogs where a horizontal scroll bar is present, e.g. validator dialog or Help/Preferences/Map#MapPaintStyles

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-12-02 23:40:41 +0100 (Fri, 02 Dec 2016)
Build-Date:2016-12-03 02:34:35
Revision:11355
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11355 de) Windows 7 32-Bit
Memory Usage: 623 MB / 870 MB (164 MB allocated, but free)
Java version: 1.8.0_111-b14, Oracle Corporation, Java HotSpot(TM) Client VM
Screen: \Display0 1680x1050
Maximum Screen Size: 1680x1050
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest-bla.jnlp, -Djnlpx.remove=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,900m, -Djnlpx.splashport=55247, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Dataset consistency test: No problems found

Plugins:
+ AddrInterpolation (33005)
+ DirectDownload (33004)
+ DirectUpload (32885)
+ HouseNumberTaggingTool (32699)
+ Mapillary (v1.3.2)
+ OpeningHoursEditor (33004)
+ alignways (33088)
+ apache-commons (32994)
+ apache-http (32699)
+ buildings_tools (33004)
+ contourmerge (1030)
+ editgpx (33004)
+ imagery-xml-bounds (33004)
+ imagery_offset_db (33004)
+ log4j (32699)
+ measurement (33088)
+ osm-obj-info (1468276210)
+ photo_geotagging (33088)
+ photoadjust (33088)
+ reltoolbox (33088)
+ reverter (33088)
+ tag2link (33035)
+ tageditor (33021)
+ tagging-preset-tester (33004)
+ terracer (33088)
+ turnlanes-tagging (254)
+ turnrestrictions (33088)
+ undelete (32699)
+ utilsplugin2 (33088)
+ wikipedia (33088)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/OneClick&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/StolpersteineLight&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ D:\<user.name>\OSM\JOSMSVN\data\defaultpresets.xml
+ https://raw.githubusercontent.com/yopaseopor/traffic_signs_preset_JOSM/master/DE.zip

Map paint styles:
+ D:\<user.name>\OSM\JOSMSVN\styles\standard\elemstyles.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/HiDPISupport&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- D:\<user.name>\OSM\eigene styles\maxspeed\maxspeed_2.8_01 zeige richtungspfeile.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/sac_scale&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ShowID&zip=1
- D:\<user.name>\OSM\eigene styles\PriorityRoad\PriorityRoad_1.0.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LayerChecker&zip=1
- D:\<user.name>\OSM\TestNew\newicons.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&style&zip=1
- D:\<user.name>\OSM\patches\old MPs\dataquality.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&style&zip=1
- https://raw.githubusercontent.com/species/josm-preset-wheelchair/master/sidewalks_kerbs.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LitObjects&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
- D:\<user.name>\OSM\eigene styles\Tourenplanung.mapcss
- D:\<user.name>\OSM\eigene styles\SpecificBuildingValues\SpecificBuildingValues.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_buildings&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Modified&zip=1
- https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip
- http://www.openrailwaymap.org/styles/standard.mapcss
- D:\<user.name>\OSM\eigene styles\area-symbol.zip
- http://www.freietonne.de/ft_icons/josm/FreieTonne_rules_presets_zip.php
- https://josm.openstreetmap.de/josmfile?page=Styles/NewHighwayColors&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/MaxspeedIcons&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/DestinationSignRelation&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Incline&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PTStops&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/AdvertisingStyle&zip=1
- https://www.dropbox.com/s/qo3ai47fpv241jf/Styles_Fixme_and_Notes.zip?raw=1
- https://github.com/gmgeo/osmic-josm-style/archive/master.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/hazmat&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Suburb&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Postcode&zip=1

Validator rules:
+ https://raw.githubusercontent.com/stefan-a-bauer/josm-validators/master/mtb.validator.mapcss
+ D:\<user.name>\OSM\TestNew\new.validator.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Rules/GermanySpecific&zip=1
- D:\<user.name>\OSM\TestNew\germ.validator.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Rules/CzechRepublicAddressSystem&zip=1

Last errors/warnings:
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.net.SocketException: Socket Closed
- E: java.net.SocketException: Socket Closed
- W: org.openstreetmap.josm.io.OsmTransferCanceledException: Operation canceled. Ursache: org.openstreetmap.josm.io.OsmTransferException: Verbindung zum OSM-Server fehlgeschlagen. Bitte überprüfen Sie Ihre Internetverbindung.. Ursache: java.net.SocketException: Socket Closed
- W: Unable to get color from '' for color preference 'extrude.main.line'
- W: Unable to get color from '' for color preference 'improve.way.accuracy.helper.line'
- W: Unable to get color from '' for color preference 'make.parallel.helper.line'

Attachments (0)

Change History (12)

comment:1 Changed 2 years ago by Klumbumbus

Description: modified (diff)

comment:2 Changed 17 months ago by Don-vip

Looking at Java 8 BasicScrollPaneUI code it looks like it works natively, but only if one of these conditions is met:

  • there is no vertical scrollbar (it takes priority)
  • you hold shift key down

With Java 9 it might work however, with javabug:4419271 taken into account.

Can you please check? I don't have horizontal mouse wheel.

javabug:8041759 is also related.

Last edited 17 months ago by Don-vip (previous) (diff)

comment:3 Changed 17 months ago by Don-vip

Keywords: javabug mouse scroll wheel horizontal added

comment:4 in reply to:  2 Changed 17 months ago by Klumbumbus

Replying to Don-vip:

Looking at Java 8 BasicScrollPaneUI code it looks like it works natively, but only if one of these conditions is met:

  • there is no vertical scrollbar (it takes priority)
  • you hold shift key down

Yes, both works (however with the "default" scroll wheel, not by tilting).

With Java 9 it might work however, with javabug:4419271 taken into account.

Can you please check? I don't have horizontal mouse wheel.

javabug:8041759 is also related.

I didn't yet install Java 9.

comment:5 Changed 17 months ago by Don-vip

Owner: changed from team to Klumbumbus
Status: newneedinfo

OK let me know when you switch. I'm about... 85% sure this is fixed in Java 9 (I could bet a small amount of money, but not my life on it).

comment:6 Changed 17 months ago by Klumbumbus

:D

comment:7 Changed 17 months ago by Don-vip

I could also bet a beer!

comment:8 Changed 6 months ago by Don-vip

@Klumbumbus will you come to Karlsruhe JOSM meetup? I could bet that beer!

comment:9 Changed 6 months ago by Klumbumbus

No, I'll not be there.
Due to #15782 I'll keep Java 8 for now, but I plan to test Java 9 on another PC soon to get some progress for this ticket.

comment:10 Changed 6 months ago by Don-vip

So no beer :( Maybe at the SotM ? :)

comment:11 Changed 3 months ago by Klumbumbus

I tried with the current josm stable.jar and JDK 11:

Tilting the mouse wheel moves the horizontal scrollbar one step and then stops, while in other applications (firefox, windows file browser, MS office) it scrolls horizontally as long as you tilt the wheel. Not sure if this is caused by JOSM or Java. Which other Java application I might test?

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2018-12-31 15:09:58 +0100 (Mon, 31 Dec 2018)
Revision:14620
Build-Date:2018-12-31 14:24:10
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (14620 en) Windows 10 64-Bit
OS Build number: Windows 10 Pro 1803 (17134)
Memory Usage: 433 MB / 2026 MB (172 MB allocated, but free)
Java version: 11.0.2+9-LTS, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 2160x1440
Maximum Screen Size: 2160x1440
Dataset consistency test: No problems found

comment:12 Changed 2 weeks ago by Klumbumbus

Owner: changed from Klumbumbus to team
Status: needinfonew

Modify Ticket

Change Properties
Set your email in Preferences
Action
as new The owner will remain team.
as The resolution will be set.
to The owner will be changed from team to the specified user.
The owner will change to Klumbumbus
as duplicate The resolution will be set to duplicate.The specified ticket will be cross-referenced with this ticket
The owner will be changed from team to anonymous.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.